Zid Docs
Apps
ThemesPayments
Apps
ThemesPayments
Help Center
Slack
  1. Customers
  • ๐Ÿ—‚๏ธ Overview
  • ๐Ÿš€ Start Here
  • Create your First App
  • Responses
  • Rate Limiting
  • Authorization
  • Embedded Apps
  • StoreFront Events
  • Zid MUI
  • Zid SDKs
  • Our custom MCP server
  • Merchant APIs
    • Account
      • Me
        • Me
        • Profile
      • Store
        • Store
        • Branding
        • Localization
        • Social
        • Operations
        • Business
        • Upload Logo Image
        • Delete Logo Image
        • Upload Icon Image
        • Delete Icon Image
        • Upload Cover Image
        • Delete Cover Image
    • Orders
      • Validate Order Request
      • Create Order
      • Change Order Status
      • Add Order Comment
      • View Order
      • List Orders
      • List Custom Order Statuses
      • List Order Credit Notes
    • Reverse Orders
      • Create Reverse Orders
      • Create Reverse Orders Waybill
      • Add Reverse Order Reasons
      • List Reverse Reasons
      • Calculate Reverse Totals
      • Create refund for reverse order
      • Upload bank transfer receipt
      • Update return products
      • Order Details โ€“ View for Return
    • Abandoned Carts
      • List Carts
      • View Cart
    • Products
      • Managing Products
        • Create Product Types
        • Create Product
        • List Products
        • View Product
        • List Product Settings
        • Update Product
        • Bulk Update Products
        • Delete Product
      • Digital Vouchers
        • List Vouchers
        • Order Vouchers
        • Create Voucher
        • Import Vouchers
        • Export Vouchers
        • Update Voucher
        • Remove Voucher
      • Product Categories
        • List Categories
        • View Category
        • Create Category
        • Create Subcategory
        • Update Category
        • Assign Product to Category
        • Bulk Assign Products to Category
        • Publish Category
        • Detach Category from All Products
        • Remove Product from Category
      • Product Badge
        • List Badges
      • Product Attributes
        • List Attributes
        • View Attribute
        • Create Attribute
        • Update Attribute
        • Delete Attribute
      • Product Attribute Presets
        • List Presets
        • Create Preset
        • Update Preset
        • Delete Preset
      • Product Variants
        • Create Variants
        • Create Custom Option
        • Update Custom Option
        • Delete Custom Option Field
        • Create Custom Input Field
        • Update Custom Input Field
        • Delete Custom Input Field
      • Product Sorting
        • Set Manual Product Order
        • Reset Manual Product Order
      • Product Images
        • List Images
        • Upload Image
        • Update Image Order
        • Delete Image
      • Product Availability Notifications
        • Notification Stats
        • Noticiation Settings
        • List Notifications
        • Create Notification
        • Update Settings
        • Send Notification Email
        • Export Notifications
      • Product Export
        • Email All Products to Store Owner
        • Import Products via CSV or xlsx File
      • Product Stock
        • Retrieve Product Stock
        • List Product Stock Records
        • Create Product Stock
        • Update Product Stock
        • Bulk Update Product Stock Records
      • Product Questions & Answers
        • Retrieve Product Question
        • Retrieve Product Answer
        • List Product Questions
        • List Answers for Question
        • Create Product Question
        • Create Product Answer
        • Update Product Question
        • Update Product Answer
        • Delete Product Question
        • Delete Product Answer
      • Product Reviews
        • List Reviews
        • Count Reviews
      • Digital Products
        • Create Downloadable Product
        • Generate Upload URL
        • Upload File to S3
        • Create Product Downloadable
        • Get Product Downloadables
        • Delete Product Downloadable
        • List Store Downloadables
        • Create Store Downloadable
        • Delete Store Downloadable
    • Inventories
      • Create Location
      • Update Location
      • Update Product Stock for Location
      • List Locations
      • View Location
    • Shipping
      • List Store Shipping Methods
    • Marketing
      • Coupons
        • List Coupons
        • View Coupon
        • Create Coupon
        • Generate Bulk Coupons
        • Duplicate Coupon
        • Duplicate Bulk Coupons
        • Update Coupon Note
        • Update Coupon
        • Update Bulk Coupons
        • Update Coupon Status
        • Update Bulk Coupons Status
        • Delete Coupon
        • Delete Bulk Coupons
      • Bundle Offers
        • List Bundle Offers
      • Loyalty Program
        • Loyalty Program Status
        • Loyalty Program Details
        • Loyalty Program Info
        • Customer Loyalty Summary
        • Customer Points History
        • Activate Loyalty Program
        • Set Points Expiration Rules
        • Update Cashback Rule
        • Create Points Redemption Method
        • Update Points Redemption Method
        • Delete Points Redemption Method
        • Adjust Customer Points
      • Discount Rules
        • List Discount Rules
        • View Discount Rule
        • Create Discount Rule
        • Update Discount Rule
    • Customers
      • Customer Tags
        • List Customer Tags
        • Add Customer Tag
        • ู’Update Customer Tag
        • Delete Customer Tag
      • List Customers
        GET
      • View Customer
        GET
      • Primary Customer List
        GET
      • FInd Customer By Phone Number
        GET
      • Customer Profile
        GET
      • Add Customer
        POST
      • Update Customer
        PUT
      • Delete Customer
        DELETE
      • Add Bulk Customers
        POST
      • Import Customers
        POST
    • Store Settings
      • ๐Ÿ“„ User Roles and Permissions
      • Retrieve Store Manager Profile
      • Retrieve VAT Settings
      • List Payment Methods
      • List Store Operating Countries
    • Countries and Cities
      • List Countries
      • List Cities for Country
  • Webhooks
    • Overview
    • Webhook Health Tracking
    • Events
      • Order
      • Product
      • Abandoned Cart
      • Customer
      • Product Category
    • APIs
      • Health Summary
      • Broken Webhooks
      • Recover Broken Webhooks
      • List Webhooks
      • Create Webhook
      • Delete Webhook
      • Delete Webhook By subscriber
  • App Management
    • Events
    • APIs
      • Subscription Details
      • Update Usage-Based Charges
  1. Customers

Customer Profile

GET
https://api.zid.sa/v1/managers/store/customers/{customerId}/profile
Retrieves a detailed customer data from a store's customer list
๐Ÿ”‘Scopes
third_customers_read - Customers Read

Request

Path Params

Header Params

Responses

๐ŸŸข200OK
application/json
Bodyapplication/json

๐ŸŸ 401Unauthorized
๐Ÿ”ด500Internal Server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zid.sa/v1/managers/store/customers/23862/profile' \
--header 'Authorization: {{Autherization}}' \
--header 'X-Manager-Token: {{Access-Token}}' \
--header 'Accept-Language: en'
Response Response Example
200 - Success
{
    "status": "object",
    "customer": {
        "id": 23862,
        "name": "Mohammed AlGhannam",
        "mobile": "966569817190",
        "email": "os1987@yahoo.com",
        "gender": "female",
        "birth_date": "2025-04-01",
        "note": "New customer notetestll",
        "verified": true,
        "is_active": true,
        "is_newsletter_subscriber": true,
        "type": "individual",
        "tax_number": null,
        "commercial_registration": "000000",
        "business_name": "ุฒุฏ",
        "is_cod_enabled": true,
        "registration_date": "2017-11-26T13:39:38.000000Z",
        "last_login_at": null,
        "source": "catalog",
        "groups": {
            "customer_groups": [
                {
                    "id": "c1aa6b4d-ace7-474b-aec7-c5ded77175e7",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "KSA, UAE",
                    "description": ""
                },
                {
                    "id": "e9fcf485-a202-4377-b366-837f480fceee",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "KSA, UAE2",
                    "description": ""
                },
                {
                    "id": "a7f28db8-7b2f-4629-acc7-201bfeb37ab0",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "yuyu",
                    "description": ""
                },
                {
                    "id": "d648d3d9-9e12-4c67-a5aa-30732ceab8e4",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "ุนุฏุฏ ุงู„ุทู„ุจุงุช ุฃูƒุซุฑ ู…ู† ูฅ",
                    "description": ""
                },
                {
                    "id": "7c6a03dd-4ecc-4798-90da-6acd39effc13",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "ู…ุฌู…ูˆุนุฉ ุงู„ุนู…ู„ุงุก ุจุทู„ุจุงุช ุงูƒุซุฑ ู…ู† ูขู ",
                    "description": ""
                },
                {
                    "id": "dcfa643d-aa6a-4e34-98e3-5b1bc1830270",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "FastTrack",
                    "description": ""
                },
                {
                    "id": "c8e13c26-02b0-431e-af52-d07b7c50b838",
                    "store_id": "d297fb8b-c322-412e-a2f4-ffa96dc57022",
                    "name": "www",
                    "description": ""
                }
            ]
        },
        "tags": [],
        "orders_count": 57,
        "total_payments": 164515.55366477813,
        "orders_cost_average": 2886.2377835925986,
        "latest_orders": [
            {
                "id": 65593615,
                "invoice_number": 65593615,
                "code": "QbPq4a2F8X",
                "store_id": 3,
                "order_url": "https://osama.zid.store/o/QbPq4a2F8X/inv",
                "store_name": "ู…ุชุฌุฑ ุฃุณุงู…ุฉ.",
                "shipping_method_code": "zid_salasa",
                "store_url": "https://osama.zid.store/",
                "order_status": {
                    "name": "ุฌุงู‡ุฒ",
                    "code": "ready"
                },
                "display_status": {
                    "id": 17,
                    "code": "ready",
                    "color": "#2ecc71",
                    "name": "ุฌุงู‡ุฒ"
                },
                "currency_code": "SAR",
                "customer": {
                    "id": 23862,
                    "name": "Mohammed AlGhannam 01",
                    "email": "os1987@yahoo.com",
                    "mobile": "966569817190",
                    "note": "",
                    "type": "business",
                    "business_name": "ุฒุฏ",
                    "tax_number": "",
                    "commercial_registration": "000000"
                },
                "has_different_consignee": 0,
                "is_guest_customer": 0,
                "is_gift_order": 0,
                "gift_card_details": null,
                "is_quick_checkout_order": false,
                "order_total": "87366.08650525700000",
                "order_total_string": "87,366.09 SAR",
                "has_different_transaction_currency": false,
                "transaction_reference": null,
                "transaction_amount": 87366.086505257,
                "transaction_amount_string": "87,366.09 SAR",
                "issue_date": "25-02-2026 | 07:31 ู…",
                "payment_status": "pending",
                "is_potential_fraud": false,
                "source": "ู„ูˆุญุฉ ุงู„ุชุญูƒู…",
                "source_code": "md",
                "is_reseller_transaction": false,
                "created_at": "2026-02-25 16:31:27",
                "updated_at": "2026-03-12 08:44:00",
                "is_on_demand": false,
                "import_id": null,
                "tags": [],
                "requires_shipping": true,
                "should_me
Modified atย 2026-05-19 14:55:59
Previous
FInd Customer By Phone Number
Next
Add Customer
Built with